Bug 77969 - ifconfig reports improper bytes recieved/transmitted
ifconfig reports improper bytes recieved/transmitted
Status: CLOSED DUPLICATE of bug 55953
Product: Red Hat Linux
Classification: Retired
Component: net-tools (Show other bugs)
8.0
i686 Linux
low Severity low
: ---
: ---
Assigned To: Phil Knirsch
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-15 18:45 EST by Need Real Name
Modified: 2015-03-04 20:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-15 18:45:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-11-15 18:45:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.1) Gecko/20020826

Description of problem:
Have a linux based router installed that handles alot of traffic, handles ip
only, no other layer 3 protocols.  Connected to ethernet based network.

After a few days of operation the number of RX and TX bytes, "rolls over" to zero.  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Bring up interface, let it transmit/recieve packets
2.  Bytes RX and TX "rolls over" somewhere around 3.5GB


Actual Results:  Below is an example.  Here we find 609MB recieved on this
interface in 24 million packets.  That means each packet would have an average
size of 26 bytes.  This is WELL below the minimum size for a ip packet of 64
bytes, and below the 42 bytes for arp requests.

ifconfig eth0

eth0      Link encap:Ethernet  HWaddr xx:xx:xx:xx:xx:xx
          inet addr:x.x.x.x  Bcast:x.x.x.x  Mask:255.255.255.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:24326219 errors:1 dropped:0 overruns:0 frame:0
          TX packets:23344641 errors:6 dropped:0 overruns:3 carrier:3
          collisions:0 txqueuelen:100
          RX bytes:639544916 (609.9 Mb)  TX bytes:3244279103 (3093.9 Mb)
          Interrupt:5 Base address:0xf000

Expected Results:  ifconfig should return the proper amount of bytes recieved or
transmitted on a certain interface.

Additional info:

Despite being up(and untouched) for a number of days and routing several gigs of
information, numbers gathered via mrtg, ifconfig has never shown more then
~3gigs of recieved/transmitted on any interface.
Comment 1 Phil Knirsch 2002-11-27 05:54:25 EST

*** This bug has been marked as a duplicate of 55953 ***

Note You need to log in before you can comment on or make changes to this bug.